package com.rjconsultores.ventaboletos.vo.caja;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class UsuarioVO {
	private Integer usuarioId;
	private String cveusuario;
	private Integer puntoVentaId;
	private String numPuntoVenta;
	private Integer turnoId;
	private Date fecCorte;
	private BigDecimal importeTotal;
	private List<CajaCerradoVO> pasajes;
	private List<ReceitaDespesaVO> diversos;
	
	public UsuarioVO() {
		this.puntoVentaId = new Integer(-1);
		this.fecCorte = new Date();;
		this.turnoId = new Integer(-1);
		this.importeTotal = new BigDecimal(0);
	}
	
	public List<CajaCerradoVO> getPasajes() {
		return pasajes;
	}
	public void setPasajes(List<CajaCerradoVO> pasajes) {
		this.pasajes = pasajes;
	}
	public List<ReceitaDespesaVO> getDiversos() {
		return diversos;
	}
	public void setDiversos(List<ReceitaDespesaVO> diversos) {
		this.diversos = diversos;
	}
	public String getCveusuario() {
		return cveusuario;
	}
	public void setCveusuario(String cveusuario) {
		this.cveusuario = cveusuario;
	}
	public Integer getUsuarioId() {
		return usuarioId;
	}
	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}	
	public Integer getPuntoVentaId() {
		return puntoVentaId;
	}
	public void setPuntoVentaId(Integer puntoVentaId) {
		this.puntoVentaId = puntoVentaId;
	}
	public Date getFecCorte() {
		return fecCorte;
	}
	public void setFecCorte(Date fecCorte) {
		this.fecCorte = fecCorte;
	}
	public Integer getTurnoId() {
		return turnoId;
	}
	public void setTurnoId(Integer turnoId) {
		this.turnoId = turnoId;
	}
	public BigDecimal getImporteTotal() {
		return importeTotal;
	}
	public void setImporteTotal(BigDecimal importeTotal) {
		this.importeTotal = importeTotal;
	}

	public String getNumPuntoVenta() {
		return numPuntoVenta;
	}

	public void setNumPuntoVenta(String numPuntoVenta) {
		this.numPuntoVenta = numPuntoVenta;
	}
}
